{% set current_route = app.request.get('_route') %}
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav mr-auto"></ul>
        <ul class="navbar-nav ml-auto">
            {% if app.user %}
                <li class="nav-item dropdown {% if current_route starts with "user_profile" %}active{% endif %}">
                    <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button"
                       aria-haspopup="true" aria-expanded="false">Profile</a>
                    <div class="dropdown-menu dropdown-menu-right" id="dropdown">
                        <a class="dropdown-item {% if current_route == "user_profile_change_password" %}active{% endif %}"
                           href="{{ path('user_profile_change_password') }}">Change password</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ path('app_logout') }}">Logout</a>
                </li>
            {% else %}
                <li class="nav-item {% if current_route == "login" %}active{% endif %}">
                    <a class="nav-link" href="{{ path('app_login') }}">Login</a>
                </li>
                <li class="nav-item {% if current_route == "register" %}active{% endif %}">
                    <a class="nav-link" href="{{ path('app_register') }}">Register</a>
                </li>
            {% endif %}
        </ul>
    </div>
</nav>
